/**********************************************************************\
*                                                                      *
* declare.h: function declerations for fgdemo functions                *
*                                                                      *
\**********************************************************************/

/* functions in char.c */

void  center_pstring(char *string,int x1,int x2,int y);
void  erase_char(int x,int y);
char  first_nonblank(char *string);
int   get_center(char *string,int x1,int x2);
void  get_font(void);
int   length_pstring(char *string);
void  put_cursor(int x,int y,int cursor_color);
void  put_pstring(char *string,int x,int y);
int   row_offset(int nrows);

/* functions in common.c */

void  abort_program(char *abort_string);
int   exists(char *filename);
void  flushkey(void);
void  initialize(void);
void  init_mouse(void);
int   printer_ready(void);
void  terminate(void);
void  wait_for_keystroke(void);
void  wait_for_mouse_buttons(void);

/* functions in display.c */

int   do_bitmaps(void);
int   do_borland(void);
int   do_dub(void);
int   do_scroll(void);
int   do_transfer(void);

/* functions in fgdemo.c */

void  main(void);
void  draw_screen(int current);
void  draw_window(int xmin,int xmax,int ymin,int ymax,char *string);
void  erase_window(int xmin,int xmax,int ymin,int ymax);
int   get_answer(int xmin,int xmax,int y);
void  info_window(int xmin,int xmax,int ymin,char *string[],int nstrings);

/* files in file.c */

int   about_demo(void);
int   about_docs(void);
int   about_fgl(void);
int   about_fg(void);
int   about_order(void);
int   about_site(void);
int   about_source(void);
int   about_tech(void);
int   exit_program(void);
int   print_form(void);
int   shell(void);

/* files in fundmtls.c */

int   do_boxes(void);
int   do_circles(void);
int   do_clip(void);
int   do_ellipses(void);
int   do_lines(void);
int   do_paint(void);
int   do_points(void);
int   do_polygons(void);
int   do_rects(void);
int   do_text(void);
     
/* files in menu.c */

void  highlight_option(int n);
int   horizontal_menu(struct menu *menutab,int n,int current);
int   submenu1(void);
int   submenu2(void);
int   submenu3(void);
int   submenu4(void);
int   submenu5(void);
int   vertical_menu(struct menu *menutab,int index,int n);

/* files in misc.c */

int   do_bird(void);
int   do_histogram(void);
int   do_joystick(void);
int   do_mouse(void);
int   mouserun(int i);
int   do_keyboard(void);
   
/* files in video.c */
   
int   about_modes(void);
int   auto_detect(void);
int   coordinates(void);
int   logical_pages(void);
int   physical_pages(void);
int   virtual_pages(void);
